should-not-typecheck-2.1.0: A HUnit/hspec assertion library to verify that an expression does not typecheck

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.ShouldNotTypecheck

Synopsis

- shouldNotTypecheck :: NFData a => (() ~ () => a) -> Assertion

# Documentation

shouldNotTypecheck :: NFData a => (() ~ () => a) -> Assertion Source #

Takes one argument, an expression that should not typecheck. It will fail the test if the expression does typecheck. Requires Deferred Type Errors to be enabled for the file it is called in. See the README for examples and more infomation.